## wxpython4.0 4.0.1+dfsg

=== requirements.txt ===
# Phoenix build and test requirements
appdirs
setuptools
six
wheel
twine
sphinx
requests
pytest
pytest-xdist
pytest-timeout
numpy
