=== debian/changelog ===
wxpython4.0 (4.0.1+dfsg-2) unstable; urgency=medium

  * Rebuild against GTK+ 3 build of wxwidgets3.0
  * Enable build/packaging of wx.html2 (webview) submodule
  * Update package descriptions to avoid duplicate description warnings
  * Move standalone license paragraphs to end of copyright file

 -- Scott Talbert <swt@techie.net>  Sat, 24 Mar 2018 23:17:29 -0400

wxpython4.0 (4.0.1+dfsg-1) unstable; urgency=medium

  * Update to upstream version '4.0.1+dfsg'
  * Remove verbatim copies of GPL/LGPL from copyright file
  * Fix all shellcheck issues with repack.sh
  * Enable hardening
  * Update debian/copyright file

 -- Scott Talbert <swt@techie.net>  Mon, 05 Feb 2018 22:54:25 -0500

wxpython4.0 (4.0.0+dfsg-1) unstable; urgency=medium

  * Initial packaging based on wxpython3.0 (Closes: #888554)
  * Python 2 version is included to aid developers in porting from wxPython
    Classic to Phoenix

 -- Scott Talbert <swt@techie.net>  Thu, 01 Feb 2018 22:30:22 -0500
