=== debian/control ===
Source: wxpython4.0
Section: python
Priority: optional
Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
Uploaders: Olly Betts <olly@survex.com>, Scott Talbert <swt@techie.net>
Build-Depends:
    debhelper (>= 9),
    dh-python,
    doxygen,
    libgtk-3-dev,
    libwxgtk3.0-gtk3-dev,
    libwxgtk-media3.0-gtk3-dev,
    libwxgtk-webview3.0-gtk3-dev,
    python-all,
    python-all-dev,
    python-requests,
    python-setuptools,
    python-sip-dev,
    python3-all,
    python3-all-dev,
    python3-requests,
    python3-setuptools,
    python3-sip-dev,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/freewx-team/wxpython4.0.git
Vcs-Browser: https://salsa.debian.org/freewx-team/wxpython4.0
Homepage: https://www.wxpython.org/

Package: python-wxgtk4.0
Architecture: any
Depends: python-sip, python-six, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: wx3.0-doc
Provides: ${python:Provides}
Description: Python interface to the wxWidgets Cross-platform C++ GUI toolkit
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a Python interface to the wxGTK library and the
 wxPython runtime support libraries.  This is the Phoenix reimplementation of
 wxPython.

Package: python-wxgtk-media4.0
Architecture: any
Depends: python-wxgtk4.0, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.media)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a Python interface to wxMediaCtrl.  This is the Phoenix
 reimplementation of wxPython.

Package: python-wxgtk-webview4.0
Architecture: any
Depends: python-wxgtk4.0, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.html2)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a Python interface to wxWebView.  This is the Phoenix
 reimplementation of wxPython.

Package: python3-wxgtk4.0
Architecture: any
Depends: python3-sip, python3-six, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: wx3.0-doc
Provides: ${python3:Provides}
Description: Python 3 interface to the wxWidgets Cross-platform C++ GUI toolkit
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a Python 3 interface to the wxGTK library and the
 wxPython runtime support libraries.  This is the Phoenix reimplementation of
 wxPython.

Package: python3-wxgtk-media4.0
Architecture: any
Depends: python3-wxgtk4.0, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.media)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a Python 3 interface to wxMediaCtrl.  This is the Phoenix
 reimplementation of wxPython.

Package: python3-wxgtk-webview4.0
Architecture: any
Depends: python3-wxgtk4.0, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: Python 3 interface to the wxWidgets Cross-platform C++ GUI toolkit (wx.html2)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a Python 3 interface to wxWebView.  This is the Phoenix
 reimplementation of wxPython.
