=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

export DOXYGEN=/usr/bin/doxygen
export SIP=/usr/bin/sip
export PYBUILD_SYSTEM=custom
export PYBUILD_BUILD_ARGS_python2=python{version} -u build.py dox touch etg --nodoc sip build_py --use_syswx --gtk3 bdist_egg
export PYBUILD_BUILD_ARGS_python3=python{version} -u build.py dox touch etg --nodoc sip build_py --use_syswx --gtk3
export PYBUILD_CLEAN_ARGS=python{version} build.py clean
export PYBUILD_BEFORE_INSTALL=mkdir -p {destdir}{install_dir}
export PYBUILD_INSTALL_ARGS_python2=easy_install -m -d {destdir}{install_dir} -Z dist/*.egg
export PYBUILD_INSTALL_ARGS_python3=python{version} build.py install_py --destdir={destdir} --extra_setup="--install-layout=deb"
export PYBUILD_DISABLE=configure test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# These are packaged in the -media subpackage:
	rm -f debian/python-wxgtk4.0/usr/lib/python*/dist-packages/wxPython*/wx/_media.*so \
	      debian/python-wxgtk4.0/usr/lib/python*/dist-packages/wxPython*/wx/media.py* \
	      debian/python3-wxgtk4.0/usr/lib/python*/dist-packages/wx/_media.*so \
	      debian/python3-wxgtk4.0/usr/lib/python*/dist-packages/wx/media.py*
	# These are packaged in the -webview subpackage:
	rm -f debian/python-wxgtk4.0/usr/lib/python*/dist-packages/wxPython*/wx/_html2.*so \
	      debian/python-wxgtk4.0/usr/lib/python*/dist-packages/wxPython*/wx/html2.py* \
	      debian/python3-wxgtk4.0/usr/lib/python*/dist-packages/wx/_html2.*so \
	      debian/python3-wxgtk4.0/usr/lib/python*/dist-packages/wx/html2.py*
