=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg.*$//,pgpmode=auto \
  https://pypi.python.org/packages/source/w/wxPython/ wxPython-(.+)\.tar\.gz debian debian/repack.sh
