## wxpython4.0 4.0.4+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -10,3 +10,4 @@
 pytest-xdist
 pytest-timeout
 numpy
+pillow
