=== wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #  WAF script for building and installing the wxPython extension modules.
 #
 # Author:      Robin Dunn
-# Copyright:   (c) 2013 - 2017 by Total Control Software
+# Copyright:   (c) 2013 - 2018 by Total Control Software
 # License:     wxWindows License
 #-----------------------------------------------------------------------------
 
@@ -30,7 +30,7 @@
     if isWindows:
         opt.load('msvc')
     else:
-        opt.load('compiler_cc compiler_cxx')
+        opt.load('compiler_c compiler_cxx')
     opt.load('python')
 
     opt.add_option('--debug', dest='debug', action='store_true', default=False,
@@ -53,14 +53,6 @@
     opt.add_option('--msvc_arch', dest='msvc_arch', default='x86', action='store',
                    help='The architecture to target for MSVC builds. Supported values '
                    'are: "x86" or "x64"')
-    #opt.add_option('--msvc_ver', dest='msvc_ver', default='9.0', action='store',
-    #               help='The MSVC version to use for the build, if multiple versions are '
-    #               'installed. Currently supported values are: "9.0" or "10.0"')
-
-    # TODO: The waf msvc tool has --msvc_version and --msvc_target options
-    # already. We should just switch to those instead of adding our own
-    # option names...
-
     opt.add_option('--msvc_relwithdebug', dest='msvc_relwithdebug', action='store_true', default=False,
                    help='Turn on debug info for release builds for MSVC builds.')
 
@@ -74,11 +66,27 @@
         # Python to know what version of the compiler to use.
         import distutils.msvc9compiler
         msvc_version = str( distutils.msvc9compiler.get_build_version() )
+
+        # When building for Python 3.7 the msvc_version returned will be
+        # "14.1" as that is the version of the BasePlatformToolkit that stock
+        # Python 3.7 was built with, a.k.a v141, which is the default in
+        # Visual Studio 2017. However, waf is using "msvc 15.0" to designate
+        # that version rather than "14.1" so we'll need to catch that case and
+        # fix up the msvc_version accordingly.
+        if msvc_version == "14.1" and sys.version_info >= (3,7):
+            ##msvc_version = '15.0'
+
+            # On the other hand, microsoft says that v141 and v140 (Visual
+            # Studio 2015) are binary compatible, so for now let's just drop
+            # it back to "14.0" until I get all the details worked out for
+            # using VS 2017 everywhere for Python 3.7.
+            msvc_version = '14.0'
+
         conf.env['MSVC_VERSIONS'] = ['msvc ' + msvc_version]
         conf.env['MSVC_TARGETS'] = [conf.options.msvc_arch]
         conf.load('msvc')
     else:
-        conf.load('compiler_cc compiler_cxx')
+        conf.load('compiler_c compiler_cxx')
 
     if conf.options.python:
         conf.env.PYTHON = conf.options.python
@@ -96,7 +104,7 @@
     conf.env.msvc_relwithdebug = conf.options.msvc_relwithdebug
 
     # Ensure that the headers in siplib and Phoenix's src dir can be found
-    conf.env.INCLUDES_WXPY = ['sip/siplib', 'src']
+    conf.env.INCLUDES_WXPY = ['sip/siplib', 'wx/include', 'src']
 
     if isWindows:
         # Windows/MSVC specific stuff
@@ -149,6 +157,7 @@
         conf.env.LIB_WXAUI += cfg.makeLibName('aui')
 
         # ** Add code for new modules here (and below for non-MSW)
+
 
         # tweak the PYEXT compile and link flags if making a --debug build
         if conf.env.debug:
@@ -186,90 +195,76 @@
         rpath = ' --no-rpath' if not conf.options.no_magic else ''
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs core,net' + rpath,
-                       uselib_store='WX', mandatory=True)
+                       uselib_store='WX', mandatory=True,
+                       msg='Finding libs for WX')
 
         # Run it again with different libs options to get different
         # sets of flags stored to use with varous extension modules below.
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs adv,core,net' + rpath,
-                       uselib_store='WXADV', mandatory=True)
+                       uselib_store='WXADV', mandatory=True,
+                       msg='Finding libs for WXADV')
 
         libname = '' if cfg.MONOLITHIC else 'stc,' # workaround bug in wx-config
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args=('--cxxflags --libs %score,net' % libname) + rpath,
-                       uselib_store='WXSTC', mandatory=True)
+                       uselib_store='WXSTC', mandatory=True,
+                       msg='Finding libs for WXSTC')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs html,core,net' + rpath,
-                       uselib_store='WXHTML', mandatory=True)
+                       uselib_store='WXHTML', mandatory=True,
+                       msg='Finding libs for WXHTML')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs gl,core,net' + rpath,
-                       uselib_store='WXGL', mandatory=True)
+                       uselib_store='WXGL', mandatory=True,
+                       msg='Finding libs for WXGL')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs webview,core,net' + rpath,
-                       uselib_store='WXWEBVIEW', mandatory=True)
+                       uselib_store='WXWEBVIEW', mandatory=True,
+                       msg='Finding libs for WXWEBVIEW')
 
         if isDarwin:
             conf.check_cfg(path=conf.options.wx_config, package='',
                            args='--cxxflags --libs core,net' + rpath,
-                           uselib_store='WXWEBKIT', mandatory=True)
+                           uselib_store='WXWEBKIT', mandatory=True,
+                           msg='Finding libs for WXWEBKIT')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs xml,core,net' + rpath,
-                       uselib_store='WXXML', mandatory=True)
+                       uselib_store='WXXML', mandatory=True,
+                       msg='Finding libs for WXXML')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs xrc,xml,core,net' + rpath,
-                       uselib_store='WXXRC', mandatory=True)
+                       uselib_store='WXXRC', mandatory=True,
+                       msg='Finding libs for WXXRC')
 
         libname = '' if cfg.MONOLITHIC else 'richtext,' # workaround bug in wx-config
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs %score,net' % libname + rpath,
-                       uselib_store='WXRICHTEXT', mandatory=True)
+                       uselib_store='WXRICHTEXT', mandatory=True,
+                       msg='Finding libs for WXRICHTEXT')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs media,core,net' + rpath,
-                       uselib_store='WXMEDIA', mandatory=True)
+                       uselib_store='WXMEDIA', mandatory=True,
+                       msg='Finding libs for WXMEDIA')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs ribbon,core,net' + rpath,
-                       uselib_store='WXRIBBON', mandatory=True)
+                       uselib_store='WXRIBBON', mandatory=True,
+                       msg='Finding libs for WXRIBBON')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs propgrid,core' + rpath,
-                       uselib_store='WXPROPGRID', mandatory=True)
+                       uselib_store='WXPROPGRID', mandatory=True,
+                       msg='Finding libs for WXPROPGRID')
 
         conf.check_cfg(path=conf.options.wx_config, package='',
                        args='--cxxflags --libs aui,core' + rpath,
-                       uselib_store='WXAUI', mandatory=True)
-
-        # ** Add code for new modules here
-
-
-        # NOTE: This assumes that if the platform is not win32 (from the test
-        # above) and not darwin then we must be using the GTK2 or GTK3 port of
-        # wxWidgets.  If we ever support other ports then this code will need
-        # to be adjusted.
-        if not isDarwin:
-            if conf.options.gtk2:
-                conf.options.gtk3 = False
-            if conf.options.gtk2:
-                gtkflags = os.popen('pkg-config gtk+-2.0 --cflags', 'r').read()[:-1]
-            else:
-                gtkflags = os.popen('pkg-config gtk+-3.0 --cflags', 'r').read()[:-1]
-
-            conf.env.CFLAGS_WX   += gtkflags.split()
-            conf.env.CXXFLAGS_WX += gtkflags.split()
-
-        # clear out Python's default NDEBUG and make sure it is undef'd too just in case
-        if 'NDEBUG' in conf.env.DEFINES_PYEXT:
-            conf.env.DEFINES_PYEXT.remove('NDEBUG')
-        conf.env.CFLAGS_WXPY.append('-UNDEBUG')
-        conf.env.CXXFLAGS_WXPY.append('-UNDEBUG')
-
-        # Add basic debug info for all builds
-        conf.env.CFLAGS_WXPY.append('-g')
-        conf.env.CXXFLAGS_WXPY.append('-g')
-
+                       uselib_store='WXAUI', mandatory=True,
+                       msg='Finding libs for WXAUI')
+
