=== debian/changelog ===
wxpython4.0 (4.0.4+dfsg-2) unstable; urgency=medium

  * d/patches: Fix FTBFS with SIP 4.19.14 (Closes: #924856)

 -- Scott Talbert <swt@techie.net>  Mon, 01 Apr 2019 22:41:28 -0400

wxpython4.0 (4.0.4+dfsg-1) unstable; urgency=medium

  * Update d/copyright and d/watch to use uscan repack mechanism vs. repack.sh
  * New upstream version 4.0.4 (Closes: #919144)
  * d/patches: remove waf patches (no longer needed)
  * d/patches: update unbundle-sip patch for new upstream release
  * d/patches: add patch to fix wxJoystick stubs (Closes: #892237)
  * d/control: update standards version to 4.3.0 (no changes needed)
  * d/control: add python[3]-pil as a dependency (required in 4.0.4)
  * Enable tests during build but for information only (not gating)
  * d/copyright: remove now-unused paragraphs due to removed files

 -- Scott Talbert <swt@techie.net>  Fri, 25 Jan 2019 18:19:15 -0500

wxpython4.0 (4.0.1+dfsg-6) unstable; urgency=medium

  * d/control: Use sip substitution variables for Depends (Closes: #903595)

 -- Scott Talbert <swt@techie.net>  Thu, 12 Jul 2018 18:20:08 -0400

wxpython4.0 (4.0.1+dfsg-5) unstable; urgency=medium

  * Cherry-pick waf 2.0.7 updates to fix Python 3.7 FTBFS
  * d/control: Update standards version to 4.1.4 (no changes needed)

 -- Scott Talbert <swt@techie.net>  Tue, 03 Jul 2018 19:47:38 -0400

wxpython4.0 (4.0.1+dfsg-4) unstable; urgency=medium

  * Update team email address due to alioth retirement (Closes: #899942)

 -- Scott Talbert <swt@techie.net>  Tue, 29 May 2018 21:20:05 -0400

wxpython4.0 (4.0.1+dfsg-3) unstable; urgency=medium

  * Work around removal of easy_install binary (Closes: #895516)
  * Update descriptions and add README.Debian about using Python 2 packages
    (Closes: #895083)

 -- Scott Talbert <swt@techie.net>  Wed, 09 May 2018 21:19:27 -0400
