=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wxpython4.0
 Section: python
 Priority: optional
-Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
+Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
 Uploaders: Olly Betts <olly@survex.com>, Scott Talbert <swt@techie.net>
 Build-Depends:
     debhelper (>= 9),
@@ -13,22 +13,36 @@
     libwxgtk-webview3.0-gtk3-dev,
     python-all,
     python-all-dev,
+    python-numpy,
+    python-pil,
+    python-pypdf2,
+    python-pytest,
+    python-pytest-timeout,
+    python-pytest-xdist,
     python-requests,
     python-setuptools,
     python-sip-dev,
     python3-all,
     python3-all-dev,
+    python3-numpy,
+    python3-pil,
+    python3-pypdf2,
+    python3-pytest,
+    python3-pytest-timeout,
+    python3-pytest-xdist,
     python3-requests,
     python3-setuptools,
     python3-sip-dev,
-Standards-Version: 4.1.3
+    xauth,
+    xvfb,
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/freewx-team/wxpython4.0.git
 Vcs-Browser: https://salsa.debian.org/freewx-team/wxpython4.0
 Homepage: https://www.wxpython.org/
 
 Package: python-wxgtk4.0
 Architecture: any
-Depends: python-sip, python-six, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: python-pil, python-six, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${sip:Depends}
 Suggests: wx3.0-doc
 Provides: ${python:Provides}
 Description: Python interface to the wxWidgets Cross-platform C++ GUI toolkit
@@ -38,7 +52,8 @@
  .
  This package provides a Python interface to the wxGTK library and the
  wxPython runtime support libraries.  This is the Phoenix reimplementation of
- wxPython.
+ wxPython.  NOTE: this package is not importable by default and is intended
+ only for porting.  See README.Debian for more information.
 
 Package: python-wxgtk-media4.0
 Architecture: any
@@ -50,7 +65,8 @@
  unpopular ones as well).
  .
  This package provides a Python interface to wxMediaCtrl.  This is the Phoenix
- reimplementation of wxPython.
+ reimplementation of wxPython.  NOTE: this package is not importable by default
+ and is intended only for porting.  See README.Debian for more information.
 
 Package: python-wxgtk-webview4.0
 Architecture: any
@@ -62,11 +78,12 @@
  unpopular ones as well).
  .
  This package provides a Python interface to wxWebView.  This is the Phoenix
- reimplementation of wxPython.
+ reimplementation of wxPython.  NOTE: this package is not importable by default
+ and is intended only for porting.  See README.Debian for more information.
 
 Package: python3-wxgtk4.0
 Architecture: any
-Depends: python3-sip, python3-six, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: python3-pil, python3-six, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${sip3:Depends}
 Suggests: wx3.0-doc
 Provides: ${python3:Provides}
 Description: Python 3 interface to the wxWidgets Cross-platform C++ GUI toolkit
