=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,22 @@
 export PYBUILD_BUILD_ARGS_python3=python{version} -u build.py dox touch etg --nodoc sip build_py --use_syswx --gtk3
 export PYBUILD_CLEAN_ARGS=python{version} build.py clean
 export PYBUILD_BEFORE_INSTALL=mkdir -p {destdir}{install_dir}
-export PYBUILD_INSTALL_ARGS_python2=easy_install -m -d {destdir}{install_dir} -Z dist/*.egg
+export PYBUILD_INSTALL_ARGS_python2=python{version} -m easy_install -m -d {destdir}{install_dir} -Z dist/*.egg
 export PYBUILD_INSTALL_ARGS_python3=python{version} build.py install_py --destdir={destdir} --extra_setup="--install-layout=deb"
-export PYBUILD_DISABLE=configure test
+SKIP_TESTS='not (display_Tests or glcanvas_Tests or mousemanager_Tests or numdlg_Tests or uiaction_MouseTests or uiaction_KeyboardTests or unichar_Tests or valtext_Tests or test_frameRestore or test_grid_pi)'
+export PYBUILD_BEFORE_TEST=mv wx wx.orig
+export PYBUILD_TEST_ARGS=PYTHONPATH=build/lib.$(DEB_HOST_ARCH_OS)-$(DEB_HOST_ARCH)-{version} PYTHONDONTWRITEBYTECODE=1 xvfb-run -a python{version} -m pytest -v --boxed --timeout=60 -k $(SKIP_TESTS) unittests || true
+export PYBUILD_AFTER_TEST=mv wx.orig wx
+export PYBUILD_DISABLE=configure
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_auto_test
 
 override_dh_install:
 	dh_install
@@ -29,3 +39,11 @@
 	      debian/python-wxgtk4.0/usr/lib/python*/dist-packages/wxPython*/wx/html2.py* \
 	      debian/python3-wxgtk4.0/usr/lib/python*/dist-packages/wx/_html2.*so \
 	      debian/python3-wxgtk4.0/usr/lib/python*/dist-packages/wx/html2.py*
+
+override_dh_python2:
+	dh_python2
+	dh_sip
+
+override_dh_python3:
+	dh_python3
+	dh_sip3
