## wxpython4.0 4.0.6+dfsg

=== wscript ===
--- 
+++ 
@@ -92,12 +92,14 @@
         conf.env.PYTHON = conf.options.python
     conf.load('python')
     conf.check_python_version(minver=(2,7,0))
-    if isWindows:
+    if isWindows or isDarwin:
         # Search for the Python headers without doing some stuff that could
-        # incorrectly fail on Windows. See my_check_python_headers below.
+        # incorrectly fail on Windows. Seems to help on Darwin too. See
+        # my_check_python_headers below.
+        # TODO: Check if it can/should be used on other platforms too.
         conf.my_check_python_headers()
     else:
-        conf.check_python_headers()
+        conf.check_python_headers(features='pyext')
 
     # fetch and save the debug options
     conf.env.debug = conf.options.debug
@@ -181,6 +183,9 @@
 
 
     else:
+        # TODO: Double-check that this works when using an installed wxWidgets
+        wxConfigDir = cfg.findWxConfigDir(conf.options.wx_config)
+
         # Configuration stuff for non-Windows ports using wx-config
         conf.env.CFLAGS_WX   = list()
         conf.env.CXXFLAGS_WX = list()
@@ -216,13 +221,21 @@
                        uselib_store='WXHTML', mandatory=True,
                        msg='Finding libs for WXHTML')
 
-        conf.check_cfg(path=conf.options.wx_config, package='',
-                       args='--cxxflags --libs gl,core,net' + rpath,
+        if cfg.checkSetup(wxConfigDir, 'wxUSE_GLCANVAS'):
+            gl_libs = '--libs gl,core,net'
+        else:
+            gl_libs = '--libs core,net'
+        conf.check_cfg(path=conf.options.wx_config, package='',
+                       args='--cxxflags ' + gl_libs + rpath,
                        uselib_store='WXGL', mandatory=True,
                        msg='Finding libs for WXGL')
 
-        conf.check_cfg(path=conf.options.wx_config, package='',
-                       args='--cxxflags --libs webview,core,net' + rpath,
+        if cfg.checkSetup(wxConfigDir, 'wxUSE_WEBVIEW'):
+            wv_libs = '--libs webview,core,net'
+        else:
+            wv_libs = '--libs core,net'
+        conf.check_cfg(path=conf.options.wx_config, package='',
+                       args='--cxxflags ' + wv_libs + rpath,
                        uselib_store='WXWEBVIEW', mandatory=True,
                        msg='Finding libs for WXWEBVIEW')
 
@@ -248,23 +261,12 @@
                        uselib_store='WXRICHTEXT', mandatory=True,
                        msg='Finding libs for WXRICHTEXT')
 
-        conf.check_cfg(path=conf.options.wx_config, package='',
-                       args='--cxxflags --libs media,core,net' + rpath,
+        if cfg.checkSetup(wxConfigDir, 'wxUSE_MEDIACTRL'):
+            mc_libs = '--libs media,core,net'
+        else:
+            mc_libs = '--libs core,net'
+        conf.check_cfg(path=conf.options.wx_config, package='',
+                       args='--cxxflags ' + mc_libs + rpath,
                        uselib_store='WXMEDIA', mandatory=True,
                        msg='Finding libs for WXMEDIA')
 
-        conf.check_cfg(path=conf.options.wx_config, package='',
-                       args='--cxxflags --libs ribbon,core,net' + rpath,
-                       uselib_store='WXRIBBON', mandatory=True,
-                       msg='Finding libs for WXRIBBON')
-
-        conf.check_cfg(path=conf.options.wx_config, package='',
-                       args='--cxxflags --libs propgrid,core' + rpath,
-                       uselib_store='WXPROPGRID', mandatory=True,
-                       msg='Finding libs for WXPROPGRID')
-
-        conf.check_cfg(path=conf.options.wx_config, package='',
-                       args='--cxxflags --libs aui,core' + rpath,
-                       uselib_store='WXAUI', mandatory=True,
-                       msg='Finding libs for WXAUI')
-
