=== debian/changelog ===
wxpython4.0 (4.0.6+dfsg-2) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat
  * Drop Python 2 subpackages (not used by anything in Debian)

 -- Scott Talbert <swt@techie.net>  Fri, 23 Aug 2019 18:22:31 -0400

wxpython4.0 (4.0.6+dfsg-1) unstable; urgency=medium

  * d/rules: Enable verbose building with waf
  * d/copyright: Remove more now-unused paragraphs/licenses for removed files
  * d/patches: Add patch to fix spelling errors in binaries
  * d/control: Update debhelper compat version to 12
  * d/upstream/signing-key.asc: Re-export without extra signatures
  * d/control: Tighten Build-Depends on sip-dev (Closes: #929312)
  * d/control: Update Standards Version to 4.4.0 (no changes needed)
  * Update to new upstream release 4.0.6; remove upstream patches

 -- Scott Talbert <swt@techie.net>  Tue, 09 Jul 2019 19:37:03 -0400
